com.google.cloud.dataflow.sdk.io

## Class XmlSink.XmlWriteOperation<T>

- java.lang.Object
- - com.google.cloud.dataflow.sdk.io.Sink.WriteOperation<T,FileBasedSink.FileResult>
  - - com.google.cloud.dataflow.sdk.io.FileBasedSink.FileBasedWriteOperation<T>
    - - com.google.cloud.dataflow.sdk.io.XmlSink.XmlWriteOperation<T>

All Implemented Interfaces:
  Serializable

Enclosing class:
  XmlSink

    protected static final class XmlSink.XmlWriteOperation<T>
    extends FileBasedSink.FileBasedWriteOperation<T>

`Sink.WriteOperation` for XML `Sink`s.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.google.cloud.dataflow.sdk.io.FileBasedSink.FileBasedWriteOperation

`FileBasedSink.FileBasedWriteOperation.TemporaryFileRetention`

### Field Summary

### Fields inherited from class com.google.cloud.dataflow.sdk.io.FileBasedSink.FileBasedWriteOperation

`baseTemporaryFilename, sink, TEMPORARY_FILENAME_SEPARATOR, temporaryFileRetention`

### Constructor Summary

Constructors
Constructor and Description
`XmlWriteOperation(XmlSink.Bound<T> sink)`

### Method Summary

All Methods Instance Methods Concrete Methods
`XmlSink.XmlWriter<T>` `createWriter(PipelineOptions options)` Creates a `XmlSink.XmlWriter` with a marshaller for the type it will write.
`XmlSink.Bound<T>` `getSink()` Return the XmlSink.Bound for this write operation.

### Methods inherited from class com.google.cloud.dataflow.sdk.io.FileBasedSink.FileBasedWriteOperation

`buildTemporaryFilename, copyToOutputFiles, finalize, generateDestinationFilenames, getWriterResultCoder, initialize, removeTemporaryFiles`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XmlWriteOperation

    public XmlWriteOperation(XmlSink.Bound<T> sink)

### Method Detail

#### createWriter

    public XmlSink.XmlWriter<T> createWriter(PipelineOptions options)
                                      throws Exception

Creates a `XmlSink.XmlWriter` with a marshaller for the type it will write.

Specified by:
  `createWriter` in class `FileBasedSink.FileBasedWriteOperation<T>`
Throws:
  `Exception`

#### getSink

    public XmlSink.Bound<T> getSink()

Return the XmlSink.Bound for this write operation.

Overrides:
  `getSink` in class `FileBasedSink.FileBasedWriteOperation<T>`